import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:get/get.dart';

import 'package:taafee_mobile/common/const/const.dart';
import 'package:taafee_mobile/common/extensions/widget_extension.dart';
import 'package:taafee_mobile/common/widgets/text.dart';

import '../../../../common/widgets/header_screen.dart';
import '../../../splash/data layer/model/params.dart';

class AboutUsScreen extends StatelessWidget {
  const AboutUsScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: AppColors.backGroundColor,
      body: Column(
        children: [
          HeaderScreen("about_us".tr)
              .paddingOnly(top: 20, bottom: 80)
              .paddingSymmetric(horizontal: 30),
          SizedBox(
              width: 168,
              height: 168,
              child: SvgPicture.asset("assets/icons/tafee icon.svg")),
          MediumTextWidget(
            Params.aboutUs,
            fontSize: Responsive.isTablet() ? 24 : null,
          ).paddingSymmetric(
              horizontal: Responsive.isTablet() ? 60 : 35, vertical: 40)
        ],
      ),
    ).makeSafeArea();
  }
}
